PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PURL::LoadParams Struct Reference

`#include <url.h>`

Collaboration diagram for PURL::LoadParams:
[legend]

## Public Member Functions
| LoadParams (const PString &requiredContentType=PString::Empty(), const PTimeInterval &timeout=PMaxTimeInterval)

## Public Attributes
PString | m_requiredContentType
PTimeInterval | m_timeout
PString | m_username
PString | m_password

## Constructor & Destructor Documentation

PURL::LoadParams::LoadParams | ( | const PString & | requiredContentType = `PString::Empty()`,
|  | const PTimeInterval & | timeout = `PMaxTimeInterval`
| ) |  |
| inline

## Member Data Documentation

PString PURL::LoadParams::m_password

PString PURL::LoadParams::m_requiredContentType

PTimeInterval PURL::LoadParams::m_timeout

PString PURL::LoadParams::m_username

The documentation for this struct was generated from the following file:

- url.h